Get SMS Message Report
curl --request GET \
--url https://api.example.com/api/v1/campaign/report/sms/{messageId}import requests
url = "https://api.example.com/api/v1/campaign/report/sms/{messageId}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/api/v1/campaign/report/sms/{messageId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": true,
"message": "Successfully fetched",
"data": {
"accountId": "652e5068c33fe15059e5s020",
"messageId": "66e120d1b9ee33b6ba00fsd7",
"campaignId": "66e120d1b9eht5059e5e01d",
"status": "DELIVERED",
"statusAt": "2024-09-11T04:47:16.000Z",
"destination": "919090909090",
"remark": ""
}
}
{
"status": false,
"message": "Report data not found"
}
{
"status": false,
"message": "No token provided"
}
Campaign Report
Get SMS Message Report
GET
/
api
/
v1
/
campaign
/
report
/
sms
/
{messageId}
Get SMS Message Report
Path Params
string
required
Enter the message ID that you received when sending the campaign.
Response
boolean
Indicates whether the call was successful. true if successful, false if not.
string
success or error response message
array_object
The contents of uploaded file
Show data
Show data
string
It refers to your account ID or workspace ID.
string
It refers to your message ID
string
It refers to your campaign ID.
string
It refers to report status (SENT, DELIVERED, UNDELIVERED)
string
It refers to last status time
string
It refers to the recipient’s phone number where the message was sent.
string
It refers to failed reason for message if it failed or undelivered.
{
"status": true,
"message": "Successfully fetched",
"data": {
"accountId": "652e5068c33fe15059e5s020",
"messageId": "66e120d1b9ee33b6ba00fsd7",
"campaignId": "66e120d1b9eht5059e5e01d",
"status": "DELIVERED",
"statusAt": "2024-09-11T04:47:16.000Z",
"destination": "919090909090",
"remark": ""
}
}
{
"status": false,
"message": "Report data not found"
}
{
"status": false,
"message": "No token provided"
}
⌘I